Atom feed of this document
 
 
 

 4.4. Records

Verb URI Description
GET /domains/domainId/records List all records configured for the domain. SOA cannot be modified.
GET /domains/domainId/records/recordId List details for a specific record.
POST /domains/domainId/records Add new record(s) to the domain.
PUT /domains/domainId/records/recordId Modify the configuration of a record in the domain.
PUT /domains/domainId/records Modify the configuration of records in the domain.
DELETE /domains/domainId/records/recordId Remove a record from the domain.
DELETE /domains/domainId/records?id=recordId1&id=recordId2 Remove multiple records from the domain.

Normal Response Code(s): 200, 202, and for remove record(s) also 204

Error Response Code(s): dnsFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)

In the examples that follow for each subsection, 1234 should be replaced by your authenticated account ID.



loading table of contents...